'use strict';

exports.__esModule = true;
exports.default = createCreateCreateObjectTypeMetadata;
function createCreateCreateObjectTypeMetadata(t, hasComment, depsId) {
    function isDepsId(_ref) /*: boolean*/ {
        var value = _ref.value;

        return value.id.name === depsId;
    }

    return function createCreateObjectTypeMetadata(typeForAnnotation) {
        return function createObjectTypeMetadata(annotation) {
            if (annotation.properties) {
                var props = [];
                var properties = annotation.properties;
                var pr = properties.find(isDepsId);
                if (pr) {
                    if (pr.value.typeParameters) {
                        return typeForAnnotation(pr.value.typeParameters.params[0]);
                        // properties = pr.value.typeParameters.params[0].properties
                    }
                    // console.log(properties)
                    //
                }

                for (var i = 0, l = properties.length; i < l; i++) {
                    var property = properties[i];
                    var key = property.key;
                    var value = property.value;

                    var val = typeForAnnotation(value);
                    if (val) {
                        props.push(t.objectProperty(t.identifier(key.name), val));
                    }
                    if (hasComment(property, true)) {
                        break;
                    }
                }
                return t.objectExpression(props);
            }
            return t.identifier('Object');
        };
    };
}
//# sourceMappingURL=createCreateCreateObjectTypeMetadata.js.map